package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2026-02-25 16:30
 *    desc   : 基础用户任务
 * </pre>
 */
public class BaseUserTask<M extends BaseUserTask<M>> extends TioModel<M> implements IBean {
    public void setId(Integer value) {
        set("id", value);
    }

    public Integer getId(){
        return getInt("id");
    }

    /**
     * userid
     */
    public void setUid(Integer value) {
        set("uid", value);
    }

    /**
     * userid
     */
    public Integer getUid() {
        return getInt("uid");
    }

    public void setCoin(BigDecimal value) {
        set("coin", value);
    }

    public BigDecimal getCoin(){
        return getBigDecimal("coin");
    }

    public void setStatus(Integer value) {
        set("status", value);
    }

    public Integer getStatus(){
        return getInt("status");
    }

    public void setCtime(Date value) {
        set("ctime", value);
    }

    public Date getCtime(){
        return getDate("ctime");
    }

    public void setUtime(Date value) {
        set("utime", value);
    }

    public Date getUtime(){
        return getDate("utime");
    }
}
